InPost offers domestic services for C2C and B2C shipments originating in the UK. Service also include paperless/QR code and drop-off capabilities.
This guide provides developers with the details needed to build InPost shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your InPost account in ShipStation API |
token | string | Optional | Labelled (Non QR code) API Token |
client_id | string | Optional | Labelled (Non QR code) Client ID |
token_labelless | string | Optional | Labelless (QR code) API Token |
client_id_labelless | string | Optional | Labelless (QR code) Client ID |
You can connect an InPost account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connecting InPost via the ShipStation API dashboard, go to our InPost help article.
carrier_name: inpost
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/inpost HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nicknam": "My InPost account nickname",
"token": "YOUR_TOKEN"
"clientid": "123456789",
"tokenlabelless": "YOUR_TOKEN",
"clientidlabelless": "980980"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
InPost does not send rates to ShipStation API. Contact your InPost account manager for details on your contracted rates.
Available InPost services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| Next Day Delivery Service | next_day_delivery_service |
| InPost Send | 48_hour_delivery_service |
| 48 Hours Delivery Service - QR code | 48_hour_delivery_service_qr_code |
| Next Day Delivery Service - QR code | next_day_delivery_services_qr_code |
| Next Day - Address to Locker | next_day_address_to_locker |
| 48 Hours - Address to Locker | 48_hour_address_to_locker |
| 24/7 InPost collect Standard | inpost_collect_standard |
| Locker to Locker (Labelled) | inpost_locker_to_locker |
| Labelless L2L Service (InPost PDF QR code) | inpost_locker_to_locker_qrcode |
InPost does not support creating return labels with their services.
The following carrier package types are available for InPost services:
| Name | Measurements | API Code |
|---|---|---|
| Size A (Small) | 8 cm X 38 cm X 64 cm | inpost_small_size_a |
| Size B (Medium) | 19 cm X 38 cm X 64 cm | inpost_medium_size_b |
| Size C (Large) | 41 cm X 38 cm X 64 cm | inpost_large_size_c |
InPost does not support adding carrier insurance to shipments.
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
InPost does not support adding custom label messages.
InPost does not support multi-package shipments.
InPost does not support label branding.
InPost supports voiding labels with ShipStation API.
InPost supports paperless/QR code labels with their "QR code"-specific services.
See our Paperless Labels page for details about creating paperless labels with ShipStation API.
| Confirmation Type | API Code | Description |
|---|---|---|
| No confirmation required | none | No delivery confirmation required for the shipment. |
See our Delivery Confirmation page for more details about using the confirmation property.
InPost does not currently support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
InPost does not require manifesting your shipments.
InPost does not support scheduling pickups.
InPost does not support shipping to service points. The InPost Send and 48 Hours Delivery Service - QR code services are drop-off services.
ShipStation API's integration with InPost supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.